logs
List logs traces
Requires scopes: traces:read
GET
/
api
/
logs
/
traces
List logs traces
curl --request GET \
--url https://evalgate.com/api/logs/traces \
--header 'Authorization: Bearer <token>'import requests
url = "https://evalgate.com/api/logs/traces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://evalgate.com/api/logs/traces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rows": [
{
"id": 123,
"traceId": "<string>",
"name": "<string>",
"status": "<string>",
"environment": "<string>",
"source": "<string>",
"durationMs": 123,
"score": 123,
"createdAt": "<string>",
"inputPreview": true,
"outputPreview": true,
"providers": [
"<string>"
],
"models": [
"<string>"
],
"backend": [
"<string>"
],
"modelCallCount": 123,
"toolCount": 123,
"toolErrorCount": 123,
"toolNames": [
"<string>"
],
"totalTokens": 123,
"totalCostUsd": "<string>",
"maxLatencyMs": 123,
"alertStatus": "<string>",
"reviewStatus": "<string>",
"failureCategory": "<string>",
"provenanceState": "<string>",
"evidenceCount": 123,
"tags": [
"<string>"
],
"retentionState": "redacted"
}
],
"availability": {
"backend": "authoritative_database",
"bounded": true,
"searchIndexRequired": false,
"pageSizeCap": 123
},
"canonicalQuery": {
"version": 1,
"filters": [
{
"field": "status",
"operator": "exists",
"value": "<string>"
}
],
"sort": [
{
"field": "duration_ms",
"direction": "asc"
}
],
"freeText": "<string>"
},
"canonicalQueryText": "<string>",
"queryHash": "<string>",
"nextCursor": "<string>",
"limits": {
"pageSize": 123,
"maxFilters": 123,
"raw": true
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I
List logs traces
